Subject: bug#6390: Should not regexp-quote quote newline?

From: Kevin Rodgers <[email-masked]>
Date: Sat, 12 Jun 2010 00:51:00 -0600

Lennart Borgman wrote:
...
> The only interpretation I can make is that the madness is already here
> since linefeed and form-feed already may be written as \n and \f if
> you set print-escape-newlines to t. All I proposed was that it should
> write tab as \t too.

Perhaps there should be a separate variable to print escape sequences for all
the ASCII control characters (see the Basic Char Syntax node of the Emacs Lisp
manual):

\a, \b, \t, \n, \v, \f, \r, \e, \d

It would probably be controversial to include \s and \\ , since they aren't
control characters.

> I might not have proposed that if I knew it was that utterly
> disturbing to someone. ;-)

Perhaps MON KEY objects to backwards-incompatibility.

-- 
Kevin Rodgers
Denver, Colorado, USA